package com.usky.sas.common.global;

import com.usky.sas.common.dahua.DahuaNvrInfo;
import com.usky.sas.common.dahua.DahuaVideoInfo;
import com.usky.sas.common.dahua.NetSDKLib.fDataCallBack;
import com.usky.sas.common.dahua.NetSDKLib.fRealDataCallBackEx;
import com.usky.sas.common.hik.sdk.HCNetSDK.FPlayDataCallBack;
import com.usky.sas.common.hik.sdk.HCNetSDK.FRealDataCallBack_V30;
//import com.usky.sas.common.onvif.UnityVideoInfo;
import com.usky.sas.common.entity.DeviceVideoInfo;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public class GlobalMemoryMap {
    public static final Map<String, DeviceVideoInfo> hikVideoInfo = new ConcurrentHashMap();
//    public static final Map<String, UnityVideoInfo> unityVideoInfo = new ConcurrentHashMap();
    public static final Map<String, Integer> loginHikNvrUser = new ConcurrentHashMap();
    public static final Map<String, FRealDataCallBack_V30> fRealDataCallBackMap = new ConcurrentHashMap();
    public static final Map<String, FPlayDataCallBack> fPlayDataCallBackMap = new ConcurrentHashMap();
    public static final Map<String, StreamContext> streamContextMap = new ConcurrentHashMap();
    public static final Map<String, DahuaNvrInfo> dhNvrUser = new ConcurrentHashMap();
    public static final Map<String, DahuaVideoInfo> dahuaVideoInfo = new ConcurrentHashMap();
    public static final Map<String, fRealDataCallBackEx> dahuaRealDataCallBackMap = new ConcurrentHashMap();
    public static final Map<String, fDataCallBack> dahuaPlayDataCallBackMap = new ConcurrentHashMap();

    private GlobalMemoryMap() {
    }
}
